<template>
  <view class="detail">
    <div class="line-bg"></div>
    <div class="organization-detail">
      <p>当前届次：{{dataInfo.sessionTime || '-'}}</p>
      <p>换届时间：{{dataInfo.changeTime || '-'}}</p>
      <p class="fw500">该届任职</p>
      <div style="margin-bottom: 40rpx;">
        <p v-for="(item, index) in dataInfo.serveList" :key="index">{{item.position}}：{{item.name}}</p>
      </div>
      <p class="fw500">该届候选人</p>
      <p v-for="(item, index) in dataInfo.candidateList" :key="index">{{item.position}}：{{item.name}}</p>
    </div>
  </view>
</template>
<script>
export default {
  data() {
    return {
      id: '',
      dataInfo: {}
    };
  },
  onLoad(options){
    uni.setNavigationBarColor({
      frontColor: "#ffffff",
      backgroundColor: "#e60012",
    })
    this.$dict.load('organizationChangeType')
    this.id = options.id
    this.getDetail()
  },
  methods: {
    getDetail() {
      this.$instance.post(`/app/apporganizationgeneralelection/queryDetailById-forwx?id=${this.id}`).then( res => {
        this.dataInfo = res.data
      })
    },
  },
};
</script>
<style lang="scss" scope>
.detail {
    background-color: #fff;
    .line-bg{
      height: 20rpx;
      background-color: #F3F6F9;
    }
  .organization-detail{
    padding: 20rpx 32rpx 0;
    p{
      font-size: 32rpx;
      color: #666;
      line-height: 48rpx;
    }
    .padd-b32{
      padding-bottom: 40rpx;
    }
    .fw500{
      font-weight: 600;
      font-family:PingFangSC-Medium,PingFang SC;
    }
  }
}
</style>